org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl

## Class EmptyDifferenceGroupProvider

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterImpl
  - - org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups.AbstractDifferenceGroupProvider
    - - org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl.EmptyDifferenceGroupProvider

All Implemented Interfaces:
  Adapter, Adapter.Internal, IDifferenceGroupProvider, IDifferenceGroupProvider2

    public class EmptyDifferenceGroupProvider
    extends AbstractDifferenceGroupProvider

An empty difference group provider.

Since:
  4.0

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups.IDifferenceGroupProvider

`IDifferenceGroupProvider.ComparisonType, IDifferenceGroupProvider.Descriptor`

### Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

`Adapter.Internal`

### Field Summary

### Fields inherited from class org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups.AbstractDifferenceGroupProvider

`activeByDefault, label`

### Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`target`

### Constructor Summary

Constructors
Constructor and Description
`EmptyDifferenceGroupProvider()`

### Method Summary

### Methods inherited from class org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups.AbstractDifferenceGroupProvider

`buildGroups, defaultSelected, dispose, getComparison, getCrossReferenceAdapter, getGroups, getLabel, getTreeNodes, groupsAreBuilt, isAdapterForType, isEnabled, setDefaultSelected, setLabel`

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`getTarget, notifyChanged, setTarget, unsetTarget`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.common.notify.Adapter

`getTarget, notifyChanged, setTarget`

### Constructor Detail

#### EmptyDifferenceGroupProvider

    public EmptyDifferenceGroupProvider()